Package com.macrofocus.selection.swing

# Class SelectionListSelectionModel<E>

java.lang.Object
javax.swing.DefaultListSelectionModel
com.macrofocus.selection.swing.SelectionListSelectionModel<E>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `ListSelectionModel`

public class SelectionListSelectionModel<E> extends DefaultListSelectionModel

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.DefaultListSelectionModel

  `leadAnchorNotificationEnabled, listenerList`

  ### Fields inherited from interface javax.swing.ListSelectionModel

  `MULTIPLE_INTERVAL_SELECTION, SINGLE_INTERVAL_SELECTION, SINGLE_SELECTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectionListSelectionModel(ListModel model, MutableSelection<E> selection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSelectionInterval(int index0, int index1)`
  `boolean`
  `isSelectedIndex(int index)`
  `void`
  `removeSelectionInterval(int index0, int index1)`
  `void`
  `setSelectionInterval(int index0, int index1)`

  ### Methods inherited from class javax.swing.DefaultListSelectionModel

  `addListSelectionListener, clearSelection, clone, fireValueChanged, fireValueChanged, fireValueChanged, getAnchorSelectionIndex, getLeadSelectionIndex, getListeners, getListSelectionListeners, getMaxSelectionIndex, getMinSelectionIndex, getSelectionMode, getValueIsAdjusting, insertIndexInterval, isLeadAnchorNotificationEnabled, isSelectionEmpty, moveLeadSelectionIndex, removeIndexInterval, removeListSelectionListener, setAnchorSelectionIndex, setLeadAnchorNotificationEnabled, setLeadSelectionIndex, setSelectionMode, setValueIsAdjusting, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javax.swing.ListSelectionModel

  `getSelectedIndices, getSelectedItemsCount`

- ## Constructor Details

  - ### SelectionListSelectionModel

    public SelectionListSelectionModel(ListModel model, MutableSelection<E> selection)

- ## Method Details

  - ### isSelectedIndex

    public boolean isSelectedIndex(int index)
    Specified by:
      `isSelectedIndex` in interface `ListSelectionModel`
    Overrides:
      `isSelectedIndex` in class `DefaultListSelectionModel`

  - ### setSelectionInterval

    public void setSelectionInterval(int index0, int index1)
    Specified by:
      `setSelectionInterval` in interface `ListSelectionModel`
    Overrides:
      `setSelectionInterval` in class `DefaultListSelectionModel`

  - ### removeSelectionInterval

    public void removeSelectionInterval(int index0, int index1)
    Specified by:
      `removeSelectionInterval` in interface `ListSelectionModel`
    Overrides:
      `removeSelectionInterval` in class `DefaultListSelectionModel`

  - ### addSelectionInterval

    public void addSelectionInterval(int index0, int index1)
    Specified by:
      `addSelectionInterval` in interface `ListSelectionModel`
    Overrides:
      `addSelectionInterval` in class `DefaultListSelectionModel`